Bug 122212 - Config file setup has few wrong options to initially start
Config file setup has few wrong options to initially start
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
Reported: 2004-05-01 18:59 EDT by Mike Chambers
Modified: 2014-01-21 17:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-19 06:27:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Config file (17.65 KB, text/plain)
2004-05-01 19:00 EDT, Mike Chambers
no flags Details

  None (edit)
Description Mike Chambers 2004-05-01 18:59:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
On a fresh install of dovecot, the /etc/dovecot.conf file is setup it
seems for only imap intially, and should be setup for pop3 as well.

Also the auth lines toward the bottom seem to point to a location/file
that don't exist, mainly auth_userdb and auth_passdb

And because of above, dovecot won't start.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Install dovecot
2.service dovecot start

Actual Results:  service dovecot start show the OK but doesn't start
up any daemons.

Expected Results:  service dovecot start should start up the daemon
and allow imap and pop3 initially to run unless the user doesn't want
one or the other.

Additional info:

The main 3 lines at least that I see that need auth_userdb = pgsql
/usr/local/etc/dovecot-pgsql.conffixed are below..

#protocols = imap imaps
should be protocols = imap imaps pop3 pop3s

auth_userdb = pgsql /usr/local/etc/dovecot-pgsql.conf
should be below..
auth_userdb = passwd

auth_passdb = pgsql /usr/local/etc/dovecot-pgsql.conf
should be below...
auth_passdb = shadow

I've also attached my dovecot.conf file if you want to compare.
Comment 1 Mike Chambers 2004-05-01 19:00:56 EDT
Created attachment 99868 [details]
Config file
Comment 2 Warren Togami 2004-05-07 10:46:39 EDT
I have set auth_userdb = passwd and auth_passdb = pam.  I will not set
default protocols because by default it works with imap and imaps, and
the administrator has the option of changing this.
Comment 3 Warren Togami 2004-05-07 12:24:26 EDT
The package update was past the freeze deadline, so it has been
rejected.  It will go out as a FC2 update later.

Note You need to log in before you can comment on or make changes to this bug.